<?php
  ################################################################
  # Change Skin 1.2 - 07/10/2020 © Alessandro Marinuzzi [Alecos] #
  ################################################################
  @ini_set('default_charset', 'UTF-8');
  header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
  header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
  header("Cache-Control: no-store, no-cache, must-revalidate");
  header("Cache-Control: post-check=0, pre-check=0", false);
  header("Pragma: no-cache");
?>
<!DOCTYPE html>

<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="author" content="Alessandro Marinuzzi [Alecos]">
  <meta name="generator" content="Notepad2">
  <meta name="pragma" content="no-cache">
  <meta name="robots" content="noindex, nofollow">
  <title>Change Skin</title>
<?php
  function check_https() {
    $isSecure = false;
    if (isset($_SERVER['HTTPS']) && strtolower($_SERVER['HTTPS']) == 'on') {
      $isSecure = true;
    } elseif (!empty($_SERVER['HTTP_X_FORWARDED_PROTO']) && strtolower($_SERVER['HTTP_X_FORWARDED_PROTO']) == 'https' || !empty($_SERVER['HTTP_X_FORWARDED_SSL']) && strtolower($_SERVER['HTTP_X_FORWARDED_SSL']) == 'on') {
      $isSecure = true;
    }
    return $isSecure;
  }
  $check_https = check_https() ? 'https' : 'http';
  if (isset($_POST['change'])) {
    switch ($_POST['skin']) {
      case 'finalfantasy':
        if ($check_https == 'http') {
          setcookie('skin', 'finalfantasy', ['expires' => time()+31556926, 'path' => '/', 'domain' => '', 'secure' => false, 'httponly' => true]);
        } else {
          setcookie('skin', 'finalfantasy', ['expires' => time()+31556926, 'path' => '/', 'domain' => '', 'secure' => true, 'httponly' => true, 'samesite' => 'Lax']);
        }
        $_COOKIE['skin'] = 'finalfantasy';
      break;
      case 'science':
        if ($check_https == 'http') {
          setcookie('skin', 'science', ['expires' => time()+31556926, 'path' => '/', 'domain' => '', 'secure' => false, 'httponly' => true]);
        } else {
          setcookie('skin', 'science', ['expires' => time()+31556926, 'path' => '/', 'domain' => '', 'secure' => true, 'httponly' => true, 'samesite' => 'Lax']);
        }
        $_COOKIE['skin'] = 'science';
      break;
      case 'matrix':
        if ($check_https == 'http') {
          setcookie('skin', 'matrix', ['expires' => time()+31556926, 'path' => '/', 'domain' => '', 'secure' => false, 'httponly' => true]);
        } else {
          setcookie('skin', 'matrix', ['expires' => time()+31556926, 'path' => '/', 'domain' => '', 'secure' => true, 'httponly' => true, 'samesite' => 'Lax']);
        }
        $_COOKIE['skin'] = 'matrix';
      break;
      case 'stylish':
        if ($check_https == 'http') {
          setcookie('skin', 'stylish', ['expires' => time()+31556926, 'path' => '/', 'domain' => '', 'secure' => false, 'httponly' => true]);
        } else {
          setcookie('skin', 'stylish', ['expires' => time()+31556926, 'path' => '/', 'domain' => '', 'secure' => true, 'httponly' => true, 'samesite' => 'Lax']);
        }
        $_COOKIE['skin'] = 'stylish';
      break;
      default:
    }
  }
  if ((!isset($_COOKIE['skin'])) || (empty($_COOKIE['skin']))) {
    if ($check_https == 'http') {
      setcookie('skin', 'default', ['expires' => time()+31556926, 'path' => '/', 'domain' => '', 'secure' => false, 'httponly' => true]);
    } else {
      setcookie('skin', 'default', ['expires' => time()+31556926, 'path' => '/', 'domain' => '', 'secure' => true, 'httponly' => true, 'samesite' => 'Lax']);
    }
    $_COOKIE['skin'] = 'default';
  }
  if (isset($_COOKIE['skin'])) {
    $my_skin = htmlentities($_COOKIE['skin'], ENT_QUOTES | ENT_HTML401, 'UTF-8');
    if (file_exists(realpath("css/$my_skin.css"))) {
      echo "  <link rel=\"stylesheet\" type=\"text/css\" media=\"screen\" href=\"css/$my_skin.css\">" . PHP_EOL;
    } else {
      echo "  <link rel=\"stylesheet\" type=\"text/css\" media=\"screen\" href=\"css/default.css\">" . PHP_EOL;
    }
  } else {
    echo "  <link rel=\"stylesheet\" type=\"text/css\" media=\"screen\" href=\"css/default.css\">" . PHP_EOL;
  }
?>
</head>

<body>

<div class="skin-content">
<fieldset><legend>Change Skin</legend>
<form name="skin" action="<?php echo htmlspecialchars($_SERVER['PHP_SELF'], ENT_QUOTES | ENT_HTML401, 'UTF-8'); ?>" method="post">
<select name="skin" class="skin">
<option class="my_skin" value="finalfantasy"<?php if (isset($_COOKIE['skin']) && $_COOKIE['skin'] == 'finalfantasy') { echo ' selected'; } ?>>finalfantasy</option>
<option class="my_skin" value="science"<?php if (isset($_COOKIE['skin']) && $_COOKIE['skin'] == 'science') { echo ' selected'; } ?>>science</option>
<option class="my_skin" value="matrix"<?php if (isset($_COOKIE['skin']) && $_COOKIE['skin'] == 'matrix') { echo ' selected'; } ?>>matrix</option>
<option class="my_skin" value="stylish"<?php if (isset($_COOKIE['skin']) && $_COOKIE['skin'] == 'stylish') { echo ' selected'; } ?>>stylish</option>
</select>
<input class="button" type="submit" name="change" value="Change Skin">
</form>
</fieldset>
</div>

</body>

</html>